﻿Copyright (c) (2017) Fluke Corporation                      MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub Amprobe 34XR-A (1 Yr) Frequency VER /FGEN
DATE:                  2017-03-14 11:28:46
AUTHOR:                Fluke
REVISION:              $Revision: 18664 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       6
NUMBER OF LINES:       127
CONFIGURATION:         Function Generator
=============================================================================
#
#  Procedure Author:
#      KH, DAC
#
#  Model(s) Covered:
#      Amprobe 34XR-A
#      Meterman 34XR
#      Wavetek Meterman 34XR
#
#  Compatibility:
#      MET/CAL 8.1.4 or later
#
#  Additional Equipment Required:
#      - BNC (F) to Dual Banana adapter (Pomona 1269 or equivalent)
#
#  Due to OEM's policy of continuously updating products, this procedure
#  may contain minor differences in methods used and/or specifications to
#  those found in the manual or other documentation. While every effort has
#  been made to ensure that this procedure is accurate, we cannot be held
#  responsible for the consequences of error or omissions found within this
#  procedure.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  IF           0
  1.002  IEEE         [@FGEN]
  1.003  ENDIF

  1.004  CALL         Sub Initialize /FGEN

  1.005  RSLT         =
  1.006  HEAD         {FREQUENCY}
  1.007  RSLT         =
  1.008  HEAD         -2{4 kHz Range}
  1.009  MATH         @FGEN_Waveform = "Sine"
  1.010  MATH         @FGEN_Freq     = "0.06kHz"
  1.011  MATH         @FGEN_Ampl     = "1.5Vpp"
  1.012  TARGET       -p
  1.013  CALL         Sub Reset /FGEN
  1.014  DISP         Rotate the RANGE SELECTOR to Hz.
  1.014  DISP
  1.015  DISP         Press the RANGE button once to select 4 kHz.
  1.016  DISP         Connect [V @FGEN_DevName] [V @FGEN_Output] to
  1.016  DISP         UUT V-Ω-Diode and COM using a BNC cable and a BNC to
  1.016  DISP         dual banana adapter.
  1.017  CALL         Sub Apply /FGEN
# Get Function Generator accuracy at 0.06 kHz, 1.5 Vpp and convert to kHz.
  1.018  CALL         Sub Get Frequency Accuracy /FGEN
  1.019  MATH         L[1] = @FGEN_Acc / 1E+3
  1.020  ACC          0.06kHz        L1U
  1.021  TARGET       -m
  1.022  MEMI         Enter UUT reading kilohertz:
  1.023  MEMCX        0.06kHz        0.1% 0.003U   1.5V

  2.001  RSLT         =
  2.002  HEAD         -2{40 kHz Range}
  2.003  MATH         @FGEN_Freq = "35kHz"
  2.004  MATH         @FGEN_Ampl = "2.5Vpp"
  2.005  TARGET       -p
  2.006  DISP         Press the RANGE button once to select 40 kHz.
  2.007  CALL         Sub Apply /FGEN
  2.008  CALL         Sub Get Frequency Accuracy /FGEN
  2.009  MATH         L[1] = @FGEN_Acc / 1E+3
  2.010  ACC          35.00kHz       L1U
  2.011  TARGET       -m
  2.012  MEMI         Enter UUT reading kilohertz:
  2.013  MEMCX        35.00kHz       0.1% 0.03U    2.5V

  3.001  RSLT         =
  3.002  HEAD         -2{400 kHz Range}
  3.003  MATH         @FGEN_Freq = "350kHz"
  3.004  MATH         @FGEN_Ampl = "2.5Vpp"
  3.005  TARGET       -p
  3.006  DISP         Press the RANGE button once to select 400 kHz.
  3.007  CALL         Sub Apply /FGEN
  3.008  CALL         Sub Get Frequency Accuracy /FGEN
  3.009  MATH         L[1] = @FGEN_Acc / 1E+3
  3.010  ACC          350.0kHz       L1U
  3.011  TARGET       -m
  3.012  MEMI         Enter UUT reading kilohertz:
  3.013  MEMCX        350.0kHz       0.1% 0.3U     2.5V

  4.001  RSLT         =
  4.002  HEAD         -2{4 MHz Range}
  4.003  MATH         @FGEN_Freq = "3MHz"
  4.004  MATH         @FGEN_Ampl = "5.5Vpp"
  4.005  TARGET       -p
  4.006  DISP         Press the RANGE button once to select 4 MHz.
  4.007  CALL         Sub Apply /FGEN
# Get Function Generator accuracy at 3 MHz, 5.5 Vpp and convert to MHz.
  4.008  CALL         Sub Get Frequency Accuracy /FGEN
  4.009  MATH         L[1] = @FGEN_Acc / 1E+6
  4.010  ACC          3.000MHz       L1U
  4.011  TARGET       -m
  4.012  MEMI         Enter UUT reading megahertz:
  4.013  MEMCX        3.000MHz       0.1% 0.003U   5.5Vpp

  5.001  RSLT         =
  5.002  HEAD         -2{20 MHz Range}
  5.003  MATH         @FGEN_Freq = "3MHz"
  5.004  MATH         @FGEN_Ampl = "5.5Vpp"
  5.005  TARGET       -p
  5.006  DISP         Press the RANGE button once to select 20 MHz.
  5.007  CALL         Sub Apply /FGEN
  5.008  CALL         Sub Get Frequency Accuracy /FGEN
  5.009  MATH         L[1] = @FGEN_Acc / 1E+6
  5.010  ACC          3.00MHz        L1U
  5.011  TARGET       -m
  5.012  MEMI         Enter UUT reading megahertz:
  5.013  MEMCX        3.00MHz        0.1% 0.03U    5.5Vpp

  6.001  HEAD         -2
  6.002  HEAD
  6.003  CALL         Sub Reset /FGEN
  6.004  DISP         Remove all connections.
  6.005  END
